# std::unordered_multiset<Key,Hash,KeyEqual,Allocator>::empty

From cppreference.com
< cpp‎ | container‎ | unordered multiset

bool empty() const noexcept; |  | (since C++11) (until C++20)
[[nodiscard]] bool empty() const noexcept; |  | (since C++20)

Checks if the container has no elements, i.e. whether begin() == end().

### Parameters

(none)

### Return value

true if the container is empty, false otherwise

### Complexity

Constant.

### Example

The following code uses `empty` to check if a std::unordered_multiset<int> contains any elements:

Run this code

    #include <unordered_set>
    #include <iostream>

    int main()
    {
        std::unordered_multiset<int> numbers;
        std::cout << "Initially, numbers.empty(): " << numbers.empty() << '\n';

        numbers.insert(42);
        numbers.insert(13317);
        std::cout << "After adding elements, numbers.empty(): " << numbers.empty() << '\n';
    }

Output:

    Initially, numbers.empty(): 1
    After adding elements, numbers.empty(): 0

### See also

size | returns the number of elements (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_multiset/empty&oldid=50749"